block('report-page').elem('download').replace()(function() {
    var pathnameSplitted = location.pathname.split('/').filter(Boolean);
    // Костыль: забирать айди события для запроса независимо от роутинга на бэке
    var eventId = pathnameSplitted[0] === 'report' ? pathnameSplitted[1] : pathnameSplitted[0];

    return {
        block: 'button2',
        mods: {
            theme: 'normal',
            size: 'm',
            type: 'link'
        },
        mix: _.pick(this, ['block', 'elem', 'elemMods']),
        text: 'Скачать отчёт',
        url: '/api/' + eventId + '/export_excel/',
        target: 'blank'
    };
});
